## org.hibernate.mapping
Interface Selectable

All Known Implementing Classes:
  Column, Formula

    public interface Selectable

Method Summary
`String` `getAlias(Dialect dialect)`
`String` `getAlias(Dialect dialect, Table table)`
`String` `getTemplate(Dialect dialect, SQLFunctionRegistry functionRegistry)`
`String` `getText()`
`String` `getText(Dialect dialect)`
`boolean` `isFormula()`

Method Detail

### getAlias

    String getAlias(Dialect dialect)

### getAlias

    String getAlias(Dialect dialect,
                    Table table)

### isFormula

    boolean isFormula()

### getTemplate

    String getTemplate(Dialect dialect,
                       SQLFunctionRegistry functionRegistry)

### getText

    String getText(Dialect dialect)

### getText

    String getText()

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.